Bug 6522 - upgrade fails with extended partitions and new boot disks
upgrade fails with extended partitions and new boot disks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-29 22:58 EDT by tdyas
Modified: 2015-01-07 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-27 13:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tdyas 1999-10-29 22:58:10 EDT
With the 044 boot.img and the 045 update.img disks, the
installer still fails to recognize my Linux partitions which
are stored entirely within a Win98-style extended partition.
The particular error message was that it "could not find any
Linux partitions".

Here is my partition table:

Disk /dev/hda: 255 heads, 63 sectors, 1582 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       261   2096451    b  Win95
FAT32
/dev/hda2           262      1582  10610932+   f  Win95
Ext'd (LBA)
/dev/hda5           262       522   2096451    b  Win95
FAT32
/dev/hda6           523       539    136521   83  Linux
/dev/hda7           540       556    136521   82  Linux swap
/dev/hda8           557       622    530113+  83  Linux
/dev/hda9           623       655    265041   83  Linux
/dev/hda10          656      1102   3590496   83  Linux
/dev/hda11         1103      1582   3855568+  83  Linux

Here is /etc/fstab:

/dev/hda6               /                       ext2
defaults        1 1
/dev/hda11              /home                   ext2
defaults        1 2
/dev/hda9               /tmp                    ext2
defaults        1 2
/dev/hda10              /usr                    ext2
defaults        1 2
/dev/hda8               /var                    ext2
defaults        1 2
/dev/hda7               swap                    swap
defaults        0 0
/dev/fd0                /mnt/floppy             ext2
noauto,user     0 0
/dev/cdrom              /mnt/cdrom              iso9660
noauto,ro,user  0 0
none                    /proc                   proc
defaults        0 0
none                    /dev/pts                devpts
gid=5,mode=620       0 0

Is the source for the version of the Python balkan module on
the 045 updates disk available? I'd like to test it out
manually to see what it reports.

Note You need to log in before you can comment on or make changes to this bug.